Xcode 9.4 has been deprecated for a long time and you won’t be able to submit new app versions to App Store Connect using it (nor Xcode 10 for that matter!).

The only possible reason I can think of for trying to use Xcode 9.4 today is to use the Swift migrator to upgrade some really old Swift code. You’re either going to have to upgrade the code manually, or install an older version of macOS in a virtual machine so that you can then install Xcode 9.4 inside that. Good luck!

Written by

Independent and freelance software developer for iPhone, iPad and Mac

Get the Medium app

A button that says 'Download on the App Store', and if clicked it will lead you to the iOS App store
A button that says 'Get it on, Google Play', and if clicked it will lead you to the Google Play store